#!/bin/bash
. /configurations/config.properties
ods_inserted_ts=$(TZ='America/Los_Angeles' date +'%Y-%m-%d %H:%M:%S.%6N-07:00')
echo $ods_inserted_ts
ods_inserted_ts_utc=$(TZ='Etc/UTC' date +'%Y-%m-%d %H:%M:%S.%6N+00:00')
echo $ods_inserted_ts_utc

sqoop job --create visits -- import -m 1  --connect "$db_admin_url" --username postgres --password postgres123 --query "select dw_inserted_ts,dw_inserted_ts_utc,'$ods_inserted_ts'::text,'$ods_inserted_ts_utc'::text as utc,event_id,event_date,event_date_id,event_time,user_id,non_member_id,hash_non_member_id,ip_address,event_type,request_id,session_id,hash_session_id,entity_id,visit_id,referrer_id,request_url_stem,request_url_query,browseragent,browser_lang,referring_query,referring_url,is_signup,is_login,landing_url_domain,referring_url_domain,ip_location_id,country_short,country_long,region,city,zipcode,os_browser_id,device_family,os_family,os_version_int,browser_family,browser_version_int,ua_parser_bot_flag,is_mobile,is_tablet,is_pc,traffic_source_id,traffic_source,traffic_source_type,traffic_source_subtype,application_id,application_type,application_subtype,eeid,src,acct,camp,utype,product,gglnum,referrerid,kw,adg,mt,query,sourcename,source,source_id,search_keyword_id,event_db_created_ts,visit_db_created_ts,referrer_db_created_ts,is_fast_click_bit,is_user_agent_bot,device_platform,cbsp_session_id,utm_medium,utm_campaign,utm_source,utm_content,utm_term,utm_size,utm_pub,utm_ebs,url_format_2016 from visits where \$CONDITIONS" --incremental append -check-column event_id --fields-terminated-by "\t" --hive-delims-replacement "anything"  --null-string "\\\\N" --null-non-string "\\\\N"   --hive-table visits --target-dir $hdfs_base_dir/temp/dealwallet.com/public_new_visits -- --schema public
